Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 657518 - Review Request: perl-Net-Amazon-EC2-Metadata - Retrieves data from EC2 Metadata service
Summary: Review Request: perl-Net-Amazon-EC2-Metadata - Retrieves data from EC2 Metada...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-26 10:35 UTC by Lubomir Rintel
Modified: 2012-02-15 18:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-15 18:54:32 UTC
Type: ---
ppisar: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2010-11-26 10:35:19 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/perl-Net-Amazon-EC2-Metadata.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/perl-Net-Amazon-EC2-Metadata-0.10-3.fc14.src.rpm

Description:

This module queries Amazon's Elastic Compute Cloud Metadata service
It also fetches 'user_data' which follows the same API but is often no
considered part of the metadata service by Amazons documentation. The
module also ships with a command line tool ec2meta that provides the same
data.

Comment 1 Petr Pisar 2011-01-04 13:33:36 UTC
Source tar ball is original. Ok.
Summary verified from lib/Net/Amazon/EC2/Metadata.pm. Ok.
License verified from lib/Net/Amazon/EC2/Metadata.pm. Ok.
Description verified from lib/Net/Amazon/EC2/Metadata.pm. Ok.
TODO: Missing full stop in Description after first sentence.

Is the bug report https://bugzilla.gooddata.com/show_bug.cgi?id=4395 referred from net-amazon-ec2-metadata.diff patch public? The server requires authentication.

FIX: BuildRequire perl(Test::Pod) >= 1.14 (t/pod.t:4)
FIX: BuildRequire perl(Test::Pod::Coverage) > 1.04 (t/pod-coverage.t:4)

All tests pass. Ok.

$ rpmlint perl-Net-Amazon-EC2-Metadata.spec ../SRPMS/perl-Net-Amazon-EC2-Metadata-0.10-3.fc14.src.rpm ../RPMS/noarch/perl-Net-Amazon-EC2-Metadata-0.10-3.fc14.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint Ok.

$ rpm -pqlv ../RPMS/noarch/perl-Net-Amazon-EC2-Metadata-0.10-3.fc14.noarch.rpm 
-rwxr-xr-x    1 root    root                     2412 led  4 14:05 /usr/bin/ec2meta
drwxr-xr-x    2 root    root                        0 led  4 14:05 /usr/share/doc/perl-Net-Amazon-EC2-Metadata-0.10
-rw-r--r--    1 root    root                      103 led 21  2008 /usr/share/doc/perl-Net-Amazon-EC2-Metadata-0.10/Changes
-rw-r--r--    1 root    root                      945 led 22  2008 /usr/share/doc/perl-Net-Amazon-EC2-Metadata-0.10/README
-rw-r--r--    1 root    root                     2357 led  4 14:05 /usr/share/man/man1/ec2meta.1.gz
-rw-r--r--    1 root    root                     3032 led  4 14:05 /usr/share/man/man3/Net::Amazon::EC2::Metadata.3pm.gz
drwxr-xr-x    2 root    root                        0 led  4 14:05 /usr/share/perl5/Net
drwxr-xr-x    2 root    root                        0 led  4 14:05 /usr/share/perl5/Net/Amazon
drwxr-xr-x    2 root    root                        0 led  4 14:05 /usr/share/perl5/Net/Amazon/EC2
-rw-r--r--    1 root    root                     7567 led  4 14:05 /usr/share/perl5/Net/Amazon/EC2/Metadata.pm
File permissions and layout is Ok.

$ rpm -pq --requires ../RPMS/noarch/perl-Net-Amazon-EC2-Metadata-0.10-3.fc14.noarch.rpm | sort | uniq -c
      1 perl(Carp)  
      1 perl(Data::Dumper)  
      1 perl(Getopt::Long)  
      2 perl(LWP::Simple)  
      1 perl(:MODULE_COMPAT_5.12.2)  
      1 perl(Net::Amazon::EC2::Metadata)  
      1 perl(Pod::Usage)  
      1 perl(strict)  
      1 perl(vars)  
      1 perl(warnings)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 /usr/bin/perl  
FIX: Do not Require perl(LWP::Simple) explicitly, it's discovered by rpmbuild.

$ rpm -pq --provides ../RPMS/noarch/perl-Net-Amazon-EC2-Metadata-0.10-3.fc14.noarch.rpm | sort | uniq -c
      1 perl(Net::Amazon::EC2::Metadata)  
      1 perl-Net-Amazon-EC2-Metadata = 0.10-3.fc14
Binary Provides Ok.

$ resolvedeps-f15 ../RPMS/noarch/perl-Net-Amazon-EC2-Metadata-0.10-3.fc14.noarch.rpm 
Binary dependencies Ok.

Package build in F15 (http://koji.fedoraproject.org/koji/taskinfo?taskID=2700338). Ok.

Tests from koji:
t/pod-coverage.t .. skipped: Test::Pod::Coverage 1.04 required for testing POD coverage
t/pod.t ........... skipped: Test::Pod 1.14 required for testing POD
FIX: Add the BuildRequires as written above.

Otherwise the package is in line with Fedora and perl packaging guide lines.


Please correct all FIX prefixed issues and publish new spec file. Consider fixing TODO prefixed issues too.
Resolution: Package NOT approved.

Comment 2 Lubomir Rintel 2012-02-13 17:19:02 UTC
(In reply to comment #1)
> Source tar ball is original. Ok.
> Summary verified from lib/Net/Amazon/EC2/Metadata.pm. Ok.
> License verified from lib/Net/Amazon/EC2/Metadata.pm. Ok.
> Description verified from lib/Net/Amazon/EC2/Metadata.pm. Ok.
> TODO: Missing full stop in Description after first sentence.

Fixed.

> Is the bug report https://bugzilla.gooddata.com/show_bug.cgi?id=4395 referred
> from net-amazon-ec2-metadata.diff patch public? The server requires
> authentication.

Added public reference here:
https://rt.cpan.org/Public/Bug/Display.html?id=74949
 
> FIX: BuildRequire perl(Test::Pod) >= 1.14 (t/pod.t:4)
> FIX: BuildRequire perl(Test::Pod::Coverage) > 1.04 (t/pod-coverage.t:4)

Fixed.

> FIX: Do not Require perl(LWP::Simple) explicitly, it's discovered by rpmbuild.

Done.

SPEC: http://v3.sk/~lkundrak/SPECS/perl-Net-Amazon-EC2-Metadata.spec
SRPM:
http://v3.sk/~lkundrak/SRPMS/perl-Net-Amazon-EC2-Metadata-0.10-4.el6.src.rpm

Comment 3 Petr Pisar 2012-02-14 08:56:38 UTC
Spec file changes:

--- perl-Net-Amazon-EC2-Metadata.spec.old       2010-11-26 11:22:02.000000000 +0100
+++ perl-Net-Amazon-EC2-Metadata.spec   2012-02-13 18:18:43.000000000 +0100
@@ -1,23 +1,25 @@
 Name:           perl-Net-Amazon-EC2-Metadata
 Version:        0.10
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Retrieves data from EC2 Metadata service
 License:        GPL+ or Artistic
 Group:          Development/Libraries
 URL:            http://search.cpan.org/dist/Net-Amazon-EC2-Metadata/
 Source0:        http://www.cpan.org/authors/id/N/NM/NMCFARL/Net-Amazon-EC2-Metadata-%{version}.tar.gz
 Patch0:         perl-Net-Amazon-EC2-Metadata-0.10-say.patch
+# https://rt.cpan.org/Public/Bug/Display.html?id=74949
 Patch1:         net-amazon-ec2-metadata.diff
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  perl(LWP::Simple)
 BuildRequires:  perl(Module::Build)
 BuildRequires:  perl(Test::More)
-Requires:       perl(LWP::Simple)
+BuildRequires:  perl(Test::Pod)
+BuildRequires:  perl(Test::Pod::Coverage)
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 
 %description
-This module queries Amazon's Elastic Compute Cloud Metadata service
+This module queries Amazon's Elastic Compute Cloud Metadata service.
 It also fetches 'user_data' which follows the same API but is often no
 considered part of the metadata service by Amazons documentation. The
 module also ships with a command line tool ec2meta that provides the same
@@ -62,6 +64,9 @@
 
 
 %changelog
+* Mon Feb 13 2012 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> 0.10-4
+- Fix issues from review (Petr Pisar, #657518)
+
 * Mon Nov 22 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> 0.10-3
 - Pull Test::More
 

> TODO: Missing full stop in Description after first sentence.
 %description
-This module queries Amazon's Elastic Compute Cloud Metadata service
+This module queries Amazon's Elastic Compute Cloud Metadata service.
Ok.

> Is the bug report https://bugzilla.gooddata.com/show_bug.cgi?id=4395
> referred from net-amazon-ec2-metadata.diff patch public? The server
> requires authentication.
+# https://rt.cpan.org/Public/Bug/Display.html?id=74949
 Patch1:         net-amazon-ec2-metadata.diff
Ok.

> FIX: BuildRequire perl(Test::Pod) >= 1.14 (t/pod.t:4)
> FIX: BuildRequire perl(Test::Pod::Coverage) > 1.04 (t/pod-coverage.t:4)
+BuildRequires:  perl(Test::Pod)
+BuildRequires:  perl(Test::Pod::Coverage)
Ok.

> FIX: Do not Require perl(LWP::Simple) explicitly, it's discovered by rpmbuild.
$ rpm -q --requires -p ../RPMS/noarch/perl-Net-Amazon-EC2-Metadata-0.10-4.fc18.noarch.rpm  |sort | uniq -c
      1 perl(Carp)  
      1 perl(Data::Dumper)  
      1 perl(Getopt::Long)  
      1 perl(LWP::Simple)  
      1 perl(:MODULE_COMPAT_5.14.2)  
      1 perl(Net::Amazon::EC2::Metadata)  
      1 perl(Pod::Usage)  
      1 perl(strict)  
      1 perl(vars)  
      1 perl(warnings)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 /usr/bin/perl  
Binary requires are Ok.

$ rpmlint perl-Net-Amazon-EC2-Metadata.spec ../SRPMS/perl-Net-Amazon-EC2-Metadata-0.10-4.fc18.src.rpm ../RPMS/noarch/perl-Net-Amazon-EC2-Metadata-0.10-4.fc18.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint Ok.

Package builds in F18 (http://koji.fedoraproject.org/koji/taskinfo?taskID=3789206). Ok.

Resolution: Package APPROVED.

Comment 4 Lubomir Rintel 2012-02-14 23:38:58 UTC
New Package SCM Request
=======================
Package Name: perl-Net-Amazon-EC2-Metadata
Short Description: Retrieves data from EC2 Metadata service
Owners: lkundrak
Branches: f15 f16 el6 f17

Comment 5 Gwyn Ciesla 2012-02-15 13:52:54 UTC
Git done (by process-git-requests).

Comment 6 Lubomir Rintel 2012-02-15 18:54:32 UTC
Imported and built. Thanks!


Note You need to log in before you can comment on or make changes to this bug.